libcroco 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1139922 漏洞类型 缓冲区错误
发布时间 2017-04-20 更新时间 2019-06-19
CVE编号 CVE-2017-7961 CNNVD-ID CNNVD-201704-940
漏洞平台 N/A CVSS评分 6.8
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201704-940
|漏洞详情
libcroco是一个CSS2解析库。 libcroco 0.6.11版本和0.6.12版本中的cr-tknzr.c文件的‘cr_tknzr_parse_rgb’函数存在安全漏洞。远程攻击者可借助特制的CSS文件利用该漏洞造成拒绝服务(应用程序崩溃)。
|参考资料

来源:MISC
链接:https://blogs.gentoo.org/ago/2017/04/17/libcroco-heap-overflow-and-undefined-behavior/
来源:MISC
链接:https://git.gnome.org/browse/libcroco/commit/?id=9ad72875e9f08e4c519ef63d44cdbd94aa9504f7